Bug 6270 - Оторвать python от vim-enhanced
: Оторвать python от vim-enhanced
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/vim-enhanced)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-03-17 09:33 by
Modified: 2005-08-30 12:21 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-17 09:33:42
При установке vim-enhanced на сервер устанавливается пачка пакетов pyhton,
которые там собственно никаким боком не нужны:
# apt-get install vim-enhanced
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
  python-base python-modules python-modules-bsddb python-modules-compiler
python-modules-curses python-modules-email
  python-modules-encodings python-modules-hotshot python-modules-logging
python-modules-xml python-strict vim-common
The following NEW packages will be installed:
  python-base python-modules python-modules-bsddb python-modules-compiler
python-modules-curses python-modules-email
  python-modules-encodings python-modules-hotshot python-modules-logging
python-modules-xml python-strict vim-common vim-enhanced
0 upgraded, 13 newly installed, 0 removed and 16 not upgraded.
Need to get 0B/9345kB of archives.
After unpacking 30.1MB of additional disk space will be used.
Do you want to continue? [Y/n] 


Я предлагаю сделать "средний" vim - с функциональностью повыше чем у
vim-minimal, но без линковки с:
        libperl.so.5.8 => /usr/lib/libperl.so.5.8 (0xb7edf000)
        libpython2.4.so.1.0 => /usr/lib/libpython2.4.so.1.0 (0xb7deb000)
        libtcl8.4.so => /usr/lib/libtcl8.4.so (0xb7d3c000)
        libruby.so.1.8 => /usr/lib/libruby.so.1.8 (0xb7c65000)
------- Comment #1 From 2005-03-17 10:24:42 -------
Оторву в следующей сборке.  На этот раз навсегда.

Насчёт "среднего" vim мне идея нравится.  Будет только консольная версия
("серверный" вариант).  Предлагай название.
------- Comment #2 From 2005-03-17 10:43:43 -------
vim, просто vim ;-)

такого пакета у тебя по моему еще нет.
------- Comment #3 From 2005-03-17 11:10:37 -------
Пакета нет, а бинарь в виде симлинка есть...
------- Comment #4 From 2005-03-17 11:46:24 -------
Хм. Да, это так.

Но apt-get install vim на данный момент предлагает поставить два пакета -
minimal и enhanced

а так будет устанавливаться средний вариант, а дальше по необходимости
пользователь может либо заменить его на enhanced либо на minimal.
В общем - смотри сам.

Название могу предложить:
vim-medium
vim-neutral
vim-normal
vim-average
vim-secondary
------- Comment #5 From 2005-03-17 17:20:43 -------
"Просто vim" зарезервирован для "внутреннего использования".

Сделаю vim-console - есть возражения?
------- Comment #6 From 2005-03-17 17:22:01 -------
возражений нет
------- Comment #7 From 2005-03-26 11:54:04 -------
Fixed in 4:6.3.067-alt1